Nuxa
Api referenceWorkflowsApiWorkflowsIdLog webhookWebhookid

PUT /api/workflows/{id}/log-webhook/{webhookId}

PUT
/api/workflows/{id}/log-webhook/{webhookId}

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

id*string

The id parameter

webhookId*string

The webhookId parameter

Request Body

application/json

url*string
secret?string
includeFinalOutput*boolean
includeTraceSpans*boolean
includeRateLimits*boolean
includeUsageData*boolean
levelFilter*array<unknown>
triggerFilter*array<unknown>

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.nuxa.ai/api/workflows/string/log-webhook/string" \  -H "Content-Type: application/json" \  -d '{    "url": "string",    "includeFinalOutput": true,    "includeTraceSpans": true,    "includeRateLimits": true,    "includeUsageData": true,    "levelFilter": [],    "triggerFilter": []  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}